curl -X POST "https://api.60db.ai/60db/license/LICENSE_ID/seats/accept" \
-H "Authorization: Bearer USER_JWT" \
-H "X-60db-Client: flow/1.5.0"
{
"success": true,
"data": { "license_id": "2f1c9a4e-6b7d-4c1e-9f0a-1d2e3f4a5b6c", "workspace_id": 24, "status": "active" }
}
60db Flow
Accept invite
Invitee: accept a pending Flow seat invite
POST
/
60db
/
license
/
:license_id
/
seats
/
accept
curl -X POST "https://api.60db.ai/60db/license/LICENSE_ID/seats/accept" \
-H "Authorization: Bearer USER_JWT" \
-H "X-60db-Client: flow/1.5.0"
{
"success": true,
"data": { "license_id": "2f1c9a4e-6b7d-4c1e-9f0a-1d2e3f4a5b6c", "workspace_id": 24, "status": "active" }
}
Turns the pending seat into an active one. Then call Get Flow plan again and switch to
workspace_id to dictate for free.
Request
Headers
string
required
Bearer <login token> of the signed-in 60db user. API keys (sk_...) are not accepted for Flow.string
flow/<app-version>, e.g. flow/1.5.0 (send it from the 60db Flow app)Path Parameters
string
required
Licence id (
license_id from Get Flow plan)Response
string
Licence id
integer
Workspace where the seat works
string
activeErrors
Errors use{ "success": false, "message": "...", "error_code": "..." }. Show message to the user.
| Status | error_code | Meaning |
|---|---|---|
| 404 | INVITE_NOT_FOUND | No pending invite: already accepted or declined, cancelled by the owner, or the licence is no longer active |
Example
curl -X POST "https://api.60db.ai/60db/license/LICENSE_ID/seats/accept" \
-H "Authorization: Bearer USER_JWT" \
-H "X-60db-Client: flow/1.5.0"
{
"success": true,
"data": { "license_id": "2f1c9a4e-6b7d-4c1e-9f0a-1d2e3f4a5b6c", "workspace_id": 24, "status": "active" }
}